Archived:Using cFP-2000 with Windows 10

Updated Oct 12, 2021

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Hardware

  • cFP-2200

Software

  • LabVIEW Real-Time Module

Issue Details

I have a cFP-2000 Compact FieldPoint Controller. I would like to update my LabVIEW Real-Time version so I can use it with more recent Windows operating systems.
What LabVIEW version shall I use?

Solution

The cFP-2000 is a mature, embedded real-time controller or Ethernet interface for PC-based distributed I/O. The cFP-2000 only offers support with LabVIEW Real-Time 8.5.1 and earlier.
The LabVIEW Real-Time Module 8.5.1 supports Windows 2000/XP and Windows Vista (32-bit and 64-bit). Thus you need to use one of the aforementioned operating systems to use the cFP-2000 or you can use a newer version of the Compact FieldPoint Controller.

Additional Information

The limitation is due to the hardware specification of the controller. The FP-20xx controllers do not support LabVIEW Real-Time Module 8.6 or later. Some features of LabVIEW Real-Time Module 8.x require more than 16 MB RAM, and the [c]FP-2000 and some other FP-20xx controllers have only 16 MB RAM.